Package org.eclipse.emf.cdo.lm.reviews.impl

# Class CommentImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl
org.eclipse.emf.internal.cdo.CDOObjectImpl
org.eclipse.emf.cdo.etypes.impl.ModelElementImpl
org.eclipse.emf.cdo.lm.reviews.impl.CommentableImpl
org.eclipse.emf.cdo.lm.reviews.impl.CommentImpl

All Implemented Interfaces:
  `CDOObject`, `CDOWithID`, `CDOPackageTypeRegistry.CDOObjectMarker`, `ModelElement`, `Comment`, `Commentable`, `SystemElement`, `Notifier`, `EObject`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`, `InternalCDOLoadable`, `InternalCDOObject`

Direct Known Subclasses:
  `HeadingImpl`

public class CommentImpl extends CommentableImpl implements Comment
An implementation of the model object 'Comment'.

Generated
No Extend
  This class is not intended to be subclassed by clients.

  The following features are implemented:

  - `Commentable`
  - `Parent Heading`
  - `Author`
  - `Text`
  - `Status`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.cdo.lm.reviews.impl.CommentableImpl

`CommentableImpl.CommentStatistics`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final String`
`AUTHOR_EDEFAULT`
The default value of the '`Author`' attribute.
`protected static final CommentStatus`
`STATUS_EDEFAULT`
The default value of the '`Status`' attribute.
`protected static final String`
`TEXT_EDEFAULT`
The default value of the '`Text`' attribute.

### Fields inherited from class org.eclipse.emf.cdo.lm.reviews.impl.CommentableImpl

`COMMENT_COUNT_EDEFAULT, RESOLVED_COUNT_EDEFAULT, UNRESOLVED_COUNT_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`CommentImpl()`

## Method Summary

Modifier and Type
Method
Description
`NotificationChain`
`basicSetCommentable(Commentable newCommentable, NotificationChain msgs)`
`NotificationChain`
`eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain`
`eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain`
`eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`String`
`getAuthor()`
`Commentable`
`getCommentable()`
`Heading`
`getParentHeading()`
`Review`
`getReview()`
`CommentStatus`
`getStatus()`
`System`
`getSystem()`
`String`
`getText()`
`void`
`setAuthor(String newAuthor)`
`void`
`setCommentable(Commentable newCommentable)`
`void`
`setStatus(CommentStatus newStatus)`
`void`
`setText(String newText)`

### Methods inherited from class org.eclipse.emf.cdo.lm.reviews.impl.CommentableImpl

`eInvoke, getCommentCount, getComments, getCommentStatistics, getResolvedCount, getUnresolvedCount`

### Methods inherited from class org.eclipse.emf.cdo.etypes.impl.ModelElementImpl

`eStaticFeatureCount, getAnnotation, getAnnotations`

### Methods inherited from class org.eclipse.emf.internal.cdo.CDOObjectImpl

`cdoClassInfo, cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInternalDynamicFeature, cdoInternalInstance, cdoInternalPostAttach, cdoInternalPostDetach, cdoInternalPostDetach, cdoInternalPostInvalidate, cdoInternalPostLoad, cdoInternalPostRollback, cdoInternalPreAttach, cdoInternalPreCommit, cdoInternalPreLoad, cdoInternalSetID, cdoInternalSetResource, cdoInternalSetRevision, cdoInternalSetState, cdoInternalSetView, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption, createFeatureMap, createList, createLock, createMap, createOrderedList, createUnorderedList, dynamicGet, dynamicSet, dynamicUnset, eAdapterAdded, eAdapterRemoved, eAdapters, eBasicAdapterListeners, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainer, eBasicSetSettings, eBasicSettings, eClass, eContainerAdapterArray, eContainerFeatureID, eDirectResource, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicIsSet, eHasSettings, eInternalContainer, eInternalResource, eIsCaching, emfToString, equals, eSetClass, eSetDirectResource, eSetResource, eSettings, eStore, getLockState, hashCode, instanceToRevisionFeature, revisionToInstanceFeature, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl

`eBasicContainerFeatureID, eBasicInternalContainer, eDerivedStructuralFeatureID`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eContents, eCrossReferences, eDeliver, eIsProxy, eProperties, eProxyURI, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticOperationCount, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoState, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.cdo.lm.reviews.Commentable

`getCommentCount, getComments, getResolvedCount, getUnresolvedCount`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eBaseStructuralFeatureID, eBasicRemoveFromContainer, eDerivedOperationID, eDerivedStructuralFeatureID, eGet, eInverseAdd, eInverseRemove, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSetProxyURI, eSetStore, eSetting, eURIFragmentSegment`

### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

`getAnnotation, getAnnotations`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### AUTHOR_EDEFAULT

protected static final String AUTHOR_EDEFAULT
The default value of the '`Author`' attribute.

See Also:
  - `getAuthor()`
Generated
Ordered

### TEXT_EDEFAULT

protected static final String TEXT_EDEFAULT
The default value of the '`Text`' attribute.

See Also:
  - `getText()`
Generated
Ordered

### STATUS_EDEFAULT

protected static final CommentStatus STATUS_EDEFAULT
The default value of the '`Status`' attribute.

See Also:
  - `getStatus()`
Generated
Ordered

## Constructor Details

### CommentImpl

protected CommentImpl()

Generated

## Method Details

### eStaticClass

protected EClass eStaticClass()

Overrides:
  `eStaticClass` in class `CommentableImpl`
Generated

### getCommentable

public Commentable getCommentable()

Specified by:
  `getCommentable` in interface `Comment`
Returns:
  the value of the 'Commentable' container reference.
See Also:
  - `Comment.setCommentable(Commentable)`
  - `ReviewsPackage.getComment_Commentable()`
  - `Commentable.getComments()`
Generated

### basicSetCommentable

public NotificationChain basicSetCommentable(Commentable newCommentable, NotificationChain msgs)

Generated

### setCommentable

public void setCommentable(Commentable newCommentable)

Specified by:
  `setCommentable` in interface `Comment`
Parameters:
  `newCommentable` - the new value of the 'Commentable' container reference.
See Also:
  - `Comment.getCommentable()`
Generated

### getParentHeading

public Heading getParentHeading()

Specified by:
  `getParentHeading` in interface `Comment`
Returns:
  the value of the 'Parent Heading' reference.
See Also:
  - `ReviewsPackage.getComment_ParentHeading()`
Generated
  NOT

### getAuthor

public String getAuthor()

Specified by:
  `getAuthor` in interface `Comment`
Returns:
  the value of the 'Author' attribute.
See Also:
  - `Comment.setAuthor(String)`
  - `ReviewsPackage.getComment_Author()`
Generated

### setAuthor

public void setAuthor(String newAuthor)

Specified by:
  `setAuthor` in interface `Comment`
Parameters:
  `newAuthor` - the new value of the 'Author' attribute.
See Also:
  - `Comment.getAuthor()`
Generated

### getText

public String getText()

Specified by:
  `getText` in interface `Comment`
Returns:
  the value of the 'Text' attribute.
See Also:
  - `Comment.setText(String)`
  - `ReviewsPackage.getComment_Text()`
Generated

### setText

public void setText(String newText)

Specified by:
  `setText` in interface `Comment`
Parameters:
  `newText` - the new value of the 'Text' attribute.
See Also:
  - `Comment.getText()`
Generated

### getStatus

public CommentStatus getStatus()

Specified by:
  `getStatus` in interface `Comment`
Returns:
  the value of the 'Status' attribute.
See Also:
  - `CommentStatus`
  - `Comment.setStatus(CommentStatus)`
  - `ReviewsPackage.getComment_Status()`
Generated

### setStatus

public void setStatus(CommentStatus newStatus)

Specified by:
  `setStatus` in interface `Comment`
Parameters:
  `newStatus` - the new value of the 'Status' attribute.
See Also:
  - `CommentStatus`
  - `Comment.getStatus()`
Generated

### eInverseAdd

public NotificationChain eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `CommentableImpl`
Generated

### eInverseRemove

public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `CommentableImpl`
Generated

### eBasicRemoveFromContainerFeature

public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

Overrides:
  `eBasicRemoveFromContainerFeature` in class `BasicEObjectImpl`
Generated

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `InternalEObject`
Overrides:
  `eGet` in class `CommentableImpl`
Generated

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `InternalEObject`
Overrides:
  `eSet` in class `CommentableImpl`
Generated

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `InternalEObject`
Overrides:
  `eUnset` in class `CommentableImpl`
Generated

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `InternalEObject`
Overrides:
  `eIsSet` in class `CommentableImpl`
Generated

### getSystem

public System getSystem()
Description copied from class: `CommentableImpl`

Specified by:
  `getSystem` in interface `SystemElement`
Specified by:
  `getSystem` in class `CommentableImpl`

### getReview

public Review getReview()
Description copied from class: `CommentableImpl`

Specified by:
  `getReview` in interface `Commentable`
Specified by:
  `getReview` in class `CommentableImpl`
Returns:
  the value of the 'Review' reference.
See Also:
  - `ReviewsPackage.getCommentable_Review()`